Loading...
Searching...
No Matches
Magick::TypeMetric Class Reference

## Public Member Functions

double | ascent (void) const
Geometry | bounds (void) const
double | descent (void) const
double | maxHorizontalAdvance (void) const
Coordinate | origin (void) const
Coordinate | pixelsPerEm (void) const
double | textHeight (void) const
double | textWidth (void) const
double | underlinePosition (void) const
double | underlineThickness (void) const

## Private Attributes

MagickCore::TypeMetric | _typeMetric

## Friends

class | Image

## Detailed Description

Definition at line 21 of file TypeMetric.h.

## Constructor & Destructor Documentation

## TypeMetric()

Magick::TypeMetric::TypeMetric | ( | void |  | ) |

Definition at line 18 of file TypeMetric.cpp.

{
memset(&_typeMetric,0,sizeof(_typeMetric));
}

## ~TypeMetric()

Magick::TypeMetric::~TypeMetric | ( | void |  | ) |

Definition at line 23 of file TypeMetric.cpp.

{
}

## Member Function Documentation

## ascent()

double Magick::TypeMetric::ascent | ( | void |  | ) | const

Definition at line 27 of file TypeMetric.cpp.

{
return(_typeMetric.ascent);
}

## bounds()

Magick::Geometry Magick::TypeMetric::bounds | ( | void |  | ) | const

Definition at line 32 of file TypeMetric.cpp.

{
return(Geometry((size_t) (_typeMetric.bounds.x2-_typeMetric.bounds.x1),
(size_t) (_typeMetric.bounds.y2-_typeMetric.bounds.y1),(ssize_t)
_typeMetric.bounds.x1,(ssize_t) _typeMetric.bounds.y1));
}

## descent()

double Magick::TypeMetric::descent | ( | void |  | ) | const

Definition at line 39 of file TypeMetric.cpp.

{
return(_typeMetric.descent);
}

## maxHorizontalAdvance()

double Magick::TypeMetric::maxHorizontalAdvance | ( | void |  | ) | const

Definition at line 44 of file TypeMetric.cpp.

{
return(_typeMetric.max_advance);
}

## origin()

Magick::Coordinate Magick::TypeMetric::origin | ( | void |  | ) | const

Definition at line 49 of file TypeMetric.cpp.

{
return(Coordinate(_typeMetric.origin.x,_typeMetric.origin.y));
}

## pixelsPerEm()

Magick::Coordinate Magick::TypeMetric::pixelsPerEm | ( | void |  | ) | const

Definition at line 54 of file TypeMetric.cpp.

{
return(Coordinate(_typeMetric.pixels_per_em.x,_typeMetric.pixels_per_em.y));
}

## textHeight()

double Magick::TypeMetric::textHeight | ( | void |  | ) | const

Definition at line 59 of file TypeMetric.cpp.

{
return(_typeMetric.height);
}

## textWidth()

double Magick::TypeMetric::textWidth | ( | void |  | ) | const

Definition at line 64 of file TypeMetric.cpp.

{
return(_typeMetric.width);
}

## underlinePosition()

double Magick::TypeMetric::underlinePosition | ( | void |  | ) | const

Definition at line 69 of file TypeMetric.cpp.

{
return(_typeMetric.underline_position);
}

## underlineThickness()

double Magick::TypeMetric::underlineThickness | ( | void |  | ) | const

Definition at line 74 of file TypeMetric.cpp.

{
return(_typeMetric.underline_thickness);
}

## Friends And Related Symbol Documentation

## Image

friend class Image

friend

Definition at line 23 of file TypeMetric.h.

## Field Documentation

## _typeMetric

MagickCore::TypeMetric Magick::TypeMetric::_typeMetric

private

Definition at line 66 of file TypeMetric.h.

The documentation for this class was generated from the following files:

- TypeMetric.h
- TypeMetric.cpp